Summary:      Library for manipulating RDF files describing LADSPA plugins
Name:         liblrdf
Version:      0.5.0
Release:      3%{?dist}
License:      GPLv2+
URL:          https://github.com/swh/LRDF
Source0:      https://github.com/swh/LRDF/archive/refs/tags/0.5.0.tar.gz#/liblrdf-%{version}.tar.gz

BuildRequires: make gcc pkgconfig ladspa-devel openssl-devel raptor2-devel

Requires: ladspa

%description
liblrdf is a library to make it easy to manipulate RDF files describing
LADSPA plugins.

%package devel
Summary:      Library for manipulating RDF files describing LADSPA plugins
Requires:     liblrdf = %{version}-%{release}
Requires:     raptor2-devel

%description devel
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins. This package includes the development tools.

%prep
%autosetup

%build
%configure --disable-static

%install
%{make_install}
rm -f %{buildroot}%{_libdir}/*.la


%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/liblrdf.so.*
%{_datadir}/ladspa/rdf/ladspa.rdfs

%files devel
%doc ChangeLog
%{_includedir}/*
%{_libdir}/liblrdf.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 cunshunxia <cunshunxia@tencent.com> - 0.5.0-1
- initial build
